Loading...
Searching...
No Matches
caf::policy Namespace Reference

Contains policies encapsulating characteristics or algorithms. More...

## Classes

struct | arg
| Provides a wrapper to pass policy types as values to functions. More...
class | categorized
| Configures a cached WDRR fixed multiplexed queue for dispatching to four nested queue (one for each message category type). More...
class | downstream_messages
| Configures a dynamic WDRR queue for holding downstream messages. More...
class | normal_messages
| Configures a cached DRR queue for holding asynchronous messages with default priority. More...
struct | profiled
| An enhancement of CAF's scheduling policy which records fine-grained resource utiliziation for worker threads and actors in the parent coordinator of the workers. More...
class | scheduler_policy
| This concept class describes a policy for worker and coordinator of the scheduler. More...
class | unprofiled
| This class is intended to be used as a base class for actual polices. More...
class | upstream_messages
| Configures a DRR queue for holding upstream messages. More...
class | urgent_messages
| Configures a cached DRR queue for holding asynchronous messages with default priority. More...
class | work_sharing
| Implements scheduling of actors via work sharing (central job queue). More...
class | work_stealing
| Implements scheduling of actors via work stealing. More...
struct | tcp
| Policy object for wrapping default TCP operations. More...
struct | udp
| Policy object for wrapping default UDP operations. More...

## Variables

template<class... Ts>
const arg< Ts... > | arg< Ts... >::value = arg<Ts...>{}

## Detailed Description

Contains policies encapsulating characteristics or algorithms.